@echo off
call check-for-admin
if %ERRORLEVEL% neq 0 exit /b

echo ####### %0 #######

echo blocking UPDATE KB5005463 aka. PC-Health ...
powershell -command "Hide-WindowsUpdate -KBArticleID KB5005463 -AcceptAll"
echo.

echo blocking UPDATE KB5021751 ...
echo   [ Notifies Microsoft if an Unsupported Office version is installed on Windows ]
powershell -command "Hide-WindowsUpdate -KBArticleID KB5021751 -AcceptAll"
echo.

echo blocking UPDATE KB5013942 ...
echo   [ Cumulative Update for Windows 10 Version 20H2 x64 ]
powershell -command "Hide-WindowsUpdate -KBArticleID KB5013942 -AcceptAll"
echo.

echo blocking UPDATE KB5025221 ...
echo   [ Feature Update to Windows 10 Version 20H2 x64 ]
powershell -command "Hide-WindowsUpdate -KBArticleID KB5025221 -AcceptAll"
echo.

echo blocking a hardware driver ...
echo   [ Advanced Micro Devices ]
powershell -command "Hide-WindowsUpdate -KBArticleID 'Advanced Micro Devices, Inc. - Display - 31.0.12027.7000' -AcceptAll"
echo.

echo showing HIDDEN windows updates ...
powershell -command "Get-WindowsUpdate -IsHidden"

echo ####### %0 #######
pause

